module Terms(
    Atom,
    Name,
    Term(..),
    Var(..),
) where

type Atom = String
type Name = String

data Term 
  = Compound Atom [Term] -- functor, args
  | Var Var  
  deriving (Eq, Show)

newtype Var = VInt Int
  deriving (Ord, Eq, Show)